﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.IO;
using System.Threading;

namespace update_ga
{
	/// <summary>
	/// 
	///		更新google analytics统计脚本
	/// 
	///		2012-2-27 by jiyang (http://jiyang.me)
	/// 
	/// </summary>
	class Program
	{
		static void Main(string[] args) {

			var currentPath = Environment.CurrentDirectory + "\\";
			var ga_tmp = currentPath + "ga_tmp.js";
			var ga = currentPath + "ga.js";

			// 下载ga.js
			var client = new WebClient();
			client.DownloadFile("http://www.google-analytics.com/ga.js", ga_tmp);

			// 如果不存在，则拷贝
			if (!File.Exists(ga)) {
				File.Copy(ga_tmp, ga);
				File.Delete(ga_tmp);
				return;
			}

			var ga_tmp_fileinfo = new FileInfo(ga_tmp);

			// 检查下载的ga.js大小，防止用空文件替换当前的文件
			if (ga_tmp_fileinfo.Length > 1024) {
				// 检查内容是否一致
				if (File.ReadAllText(ga) != File.ReadAllText(ga_tmp)) {
					File.Copy(ga_tmp, ga, true);
					Console.WriteLine("已更新");
				} else {
					Console.WriteLine("不需要更新");
				}
			}

			File.Delete(ga_tmp);

			// 等待3秒，方便看输出信息
			Thread.Sleep(3000);
		}
	}
}
